Skip to content
Fulfillment & ShippingCustomizations

List shipping customizations

Returns all customizations with their method, conditions and priority.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/shipping/customizations" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004321806",    "storeId": "7204558912004327977",    "shippingMethodId": "7204558912004325207",    "name": "Envío estándar",    "priority": 1,    "isActive": true,    "hideInCheckout": false,    "displayName": "Envío estándar",    "sortOrder": 1,    "sellerId": "7204558912004323447",    "shippingProfileId": "7204558912004329819",    "minOrderAmount": 178,    "maxOrderAmount": 178,    "minWeight": 0.3,    "maxWeight": 0.3,    "availableDays": [      "monday"    ],    "startTime": "09:00:00",    "endTime": "09:00:00",    "postalCodes": [      "15074"    ],    "createdOn": "2026-09-28T15:30:00Z",    "updatedOn": "2026-09-28T15:30:00Z",    "baseLanguage": "Envío estándar",    "translations": {      "key": {        "displayName": "Envío estándar"      }    }  }]